%define name drakx-installer-binaries
%define version 1.60
%define release %mkrel 4

Summary: DrakX binaries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
Patch0: drakx-installer-binaries-1.47-fix-build.diff
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kernel
BuildRequires: ldetect-devel
BuildRequires: ldetect-lst
BuildRequires: ldetect-lst-devel
BuildRequires: dietlibc-devel
BuildRequires: modprobe-devel
BuildRequires: pciutils-devel
BuildRequires: zlib-devel
BuildRequires: flex byacc pciutils-devel
Requires: ldetect-lst
Requires: glibc >= 2.20

%description
binaries needed to build installer (DrakX)

%package probe
Summary: DrakX probe-modules tool
Group: Development/Other

%description probe
probe-modules tool needed to build livecd

%prep
%setup -q
%patch0 -p1

%build
make -C mdk-stage1

%install
rm -rf $RPM_BUILD_ROOT

cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 pppd pppoe rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi

mkdir -p %buildroot/%{_bindir}
ln -sf %{_libdir}/%name/probe-modules %buildroot/%{_bindir}/probe-modules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%exclude %{_libdir}/%name/probe-modules
%{_libdir}/%name

%files probe
%defattr(-,root,root)
%{_bindir}/probe-modules
%{_libdir}/%name/probe-modules


%changelog
* Thu Jul 13 2016 bb2 <bb2> 1.60-4pclos2017
- update

* Mon Feb 09 2015 bb <bb> 1.60-3pclos2015
- update

* Thu Feb 05 2015 bb <bb> 1.60-2pclos2015
- rebuild with updated module-init-tools

* Thu Feb 05 2015 bb <bb> 1.60-1pclos2015
- udpate for kernel 3.18

* Tue May 20 2014 bb <bb> 1.50-2pclos2014
- update modules for 3.14.4 kernel

* Fri Jul 29 2011 Texstar <texstar at gmail.com> 1.50-1pclos2011
- update for 64 bit
